netExtender

NAME
netExtender - Dell SonicWALL NetExtender command-line client for Mac OS X/Linux

SYNOPSIS
netExtender [-u username] [-p password] [-d domain] [options] [server[:port]]

DESCRIPTION
NetExtender is a client for use with SonicWALL's SRA and UTM appliances. It enables remote users to securely connect to a remote network.

With NetExtender, remote users can securely run any application on the remote network. Users can upload and download files, mount network drives, and access resources in the same way as if they were on the local network. The NetExtender connection uses a Point-to-Point Protocol (PPP) connection inside a secure SSL tunnel.

OPTIONS

  Commonly-Used Options

-u username, --username=username
    The username to log into the SSL VPN server.

-p password, --password=password
    The password to log into the SSL VPN server. Specifying a password on the command line is considered insecure since the password can appear in output of the ps(1) or history(1) commands, and is therefore discouraged.

-d domain, --domain=domain
    The domain to log into the SSL VPN server. Case-sensitive.

server[:port]
    Specify the SRA or UTM appliance to connect. May be an IP address or a fully-qualified domain name (FQDN). A port may be specified if necessary (e.g. "tz200.example.com:4433").

  Help/Info/Diagnostics

-h, --help
    Print basic command-line usage.

-v, --version
    Print NetExtender version information and exit.

-V, --version-num
    Print NetExtender version number and exit.

-e -h, --cipher-list
    Display a list of accepted SSL ciphers.

-r file, --diag=file
    Generate a diagnostic report and exit. The report is saved to the specified file.

  Advanced Options

-s, --ppp-sync
    Select sync PPP mode (Linux only, may be needed for compatibility with UTM devices).

-a, --ppp-async
    Select async PPP mode.

--auto-reconnect
    Automatically reconnect in case of failure. This is the default unless autoReconnect=false is set in the [preferences] section of ~/.netextender, or --no-reconnect is specified.

--no-reconnect
    Disable auto-reconnect.

-M mtu, --mtu=mtu
    Specify the MTU setting for the underlying PPP connection.

--dns-prefer-remote
    Try remote DNS first, then try local DNS

--dns-only-remote
    Only use remote DNS servers

--dns-only-local
    Only use local DNS servers

-t timeout, --timeout=timeout
    Specify the SSL VPN login timeout value in seconds (default 30).

-e cipher, --cipher=cipher
    Specify the encryption cipher of sslvpn tunnel. Can be one of following:

    ECDHE-RSA-RC4-SHA
    ECDHE-RSA-AES256-GCM-SHA384
    ECDHE-RSA-AES256-SHA384
    ECDHE-RSA-AES256-SHA
    AES256-GCM-SHA384
    AES256-SHA256
    AES256-SHA
    ECDHE-RSA-DES-CBC3-SHA
    DES-CBC3-SHA
    ECDHE-RSA-AES128-GCM-SHA256
    ECDHE-RSA-AES128-SHA256
    ECDHE-RSA-AES128-SHA
    AES128-GCM-SHA256
    AES128-SHA256
    AES128-SHA
    RC4-SHA * May require explicit SSL VPN server configuration *

-m, --no-routes
    Disable installation of remote routes. This is a testing option and is not recommended for normal usage.

EXAMPLES
You may invoke netExtender with full login credentials:
    % netExtender -u demo -p password -d 'Active Directory' sslvpn.demo.sonicwall.com
Or you may omit some arguments be prompted interactively:
    % netExtender sslvpn.demo.sonicwall.com
Or you may omit all options:
    % netExtender

COMPATIBILITY
NetExtender is compatible with the following SonicWALL appliances:
•   SonicWALL SRA 4200/1200/Virtual Appliance
•   SonicWALL SSL VPN 4000/2000/200
•   SonicWALL Next-Generation Firewall appliances including the TZ, NSA, and E-Class NSA
NetExtender is officially supported on the following client platforms:
•   Fedora 8+
•   Ubuntu 7+
•   OpenSUSE 10.3+
•   Mac OS X 10.5+
NetExtender may work properly on other Linux distributions, but they are not officially supported by SonicWALL. A working pppd(8) must be installed.

DIAGNOSTICS
NetExtender generates a log file at ~/.netExtender.log. To generate a diagnostic report, use the following comand:
    % netExtender -r nxdiag.tgz
This will create a file nxdiag.tgz which can be sent to SonicWALL tech support. The diagnostic report is a plain-text file which includes information about your network configuration, running programs, and other details.

SEE ALSO

Full NetExtender Documentation
    http://www.sonicwall.com/downloads/SSL_VPN_5.0_NetExtender_Feature_Module.pdf

NetExtender Technology
    http://www.sonicwall.com/us/products/324.html

SonicWALL SRA Appliances
    http://www.sonicwall.com/us/products/SSL_VPN_Platforms.html

SonicWALL Next-Generation Firewall and Unified Threat Management
    http://www.sonicwall.com/us/products/Network_Security.html

SUPPORT

SonicWALL Tech Support
    http://www.sonicwall.com/us/support

SonicWALL Forums
    http://forum.sonicwall.com/